package cn.iocoder.yudao.module.museum.service.museummodel;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.museum.controller.admin.museummodel.vo.MuseummodelSaveVO;
import cn.iocoder.yudao.module.museum.dal.database.museummodel.MuseummodelDO;
import cn.iocoder.yudao.module.museum.dal.mysql.museummodel.MuseummodelMapper;
import cn.iocoder.yudao.module.museum.controller.admin.museummodel.vo.MuseummodelPageReqVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Set;

import static cn.iocoder.yudao.framework.common.util.collection.CollectionUtils.singleton;

@Service
public  class MuseummodelServiceImpl implements MuseummodelService {

   @Resource
   private MuseummodelMapper museumModelMapper;


   @Override
   public Integer createMuseumModel(MuseummodelSaveVO saveVO){
     return museumModelMapper.insert(BeanUtils.toBean(saveVO, MuseummodelDO.class));
   }

   @Override
   public void updateMuseumModel(MuseummodelSaveVO saveVO){
      museumModelMapper.updateMuseumModel(BeanUtils.toBean(saveVO, MuseummodelDO.class));
   }

   @Override
   public void deleteMuseumModel(Integer id){
//      museumModelMapper.deleteMuseumModel(id);
      museumModelMapper.deleteById(id);
   }

   @Override
   public MuseummodelDO selectMuseumModel(Integer id){
      return museumModelMapper.selectMuseumModelById(id);
   }

   @Override
   public PageResult<MuseummodelDO> getMuseummodelPage(MuseummodelPageReqVO pageReqVO) {
      return museumModelMapper.selectPage(pageReqVO);
   }



}
